<?php

namespace loyalsoft;

/**
 * Description of Info_NewMap
 * 玩家地图数据 
 * @author gwang
 * @version 
 *        2022.3.11 改版 据点 >> 大地图 >> 世界地图模式
 */
class Info_NewMap extends Object_ext {

    /**
     * 当前所在据点id
     * @var type
     */
    public $curMapId;

    /**
     * 已解锁据点列表
     * @var dic< 据点id, Ins_FootHold >
     */
    public $unlockedFootholds;
    
    /**
     * 已经解锁的地图上的区域、npc、道具等等信息
     * @var type
     */
    public $unlockMapTypeList;
    
    function __construct($arg = null) {
        if (null === $arg) {
            // 直接初始化8个大陆的基本数据
            $initMapid = 1001;                                                  # 新手村的id
            $this->curMapId = $initMapid;                                       # 当前位置为新手村
            $this->unlockedFootholds = ObjectInit();
            $mo = GameConfig::map_scene_getItem($initMapid);
            $footHold = new Ins_FootHold();
            $footHold->mapId = $mo->mapId;
            $footHold->curMapType = $mo->mapType;
            $this->unlockedFootholds->$initMapid = $footHold;                   # 初始化解锁新手村据点数据
            #
            // 把2号据点也解锁
            $initMapid = 1002;                                                  # 新手村的id
            // $this->curMapId = $initMapid;                                       # 当前位置为新手村
            // $this->unlockedFootholds = ObjectInit();
            $mo = GameConfig::map_scene_getItem($initMapid);
            $footHold = new Ins_FootHold();
            $footHold->mapId = $mo->mapId;
            $footHold->curMapType = $mo->mapType;
            $this->unlockedFootholds->$initMapid = $footHold;                   # 初始化解锁新手村据点数据
            
            $this->unlockMapTypeList = ObjectInit();                            #初始化--已经解锁的地图上的区域、npc、道具等等信息
        } else {
            parent::__construct($arg);
        }
    }

}
